Environmental License¶
Endpoints¶
- GET
/api/v1/environmental-license— Lists all Environmental Licenses with pagination - GET
/api/v1/environmental-license/download— Download digitalized Environmental License - GET
/api/v1/environmental-license/renewal-protocol/download— Download digitalized License Renewal Protocol - GET
/api/v1/environmental-license/annotation/download— Download digitalized License Annotation - GET
/api/v1/environmental-license/supplementary-document/download— Download digitalized License Supplementary Document
GET /api/v1/environmental-license¶
Lists all Environmental Licenses with pagination
Parameters¶
| Name | In | Type | Description |
|---|---|---|---|
page |
query | integer (int32) | Current page, starts on 1 |
size |
query | integer (int32) | Page size |
Responses¶
200 OK
Schema: EnvironmentalLicenseModelPagedApiResponse
400 Bad Request
Schema: ProblemDetails
GET /api/v1/environmental-license/download¶
Download digitalized Environmental License
Parameters¶
| Name | In | Type | Description |
|---|---|---|---|
hash |
query | string | Document identifier |
Responses¶
200 OK
Returns: Binary file data
404 Not Found
Schema: ProblemDetails
GET /api/v1/environmental-license/renewal-protocol/download¶
Download digitalized License Renewal Protocol
Parameters¶
| Name | In | Type | Description |
|---|---|---|---|
hash |
query | string | Document identifier |
Responses¶
200 OK
Returns: Binary file data
404 Not Found
Schema: ProblemDetails
GET /api/v1/environmental-license/annotation/download¶
Download digitalized License Annotation
Parameters¶
| Name | In | Type | Description |
|---|---|---|---|
hash |
query | string | Document identifier |
Responses¶
200 OK
Returns: Binary file data
404 Not Found
Schema: ProblemDetails
GET /api/v1/environmental-license/supplementary-document/download¶
Download digitalized License Supplementary Document
Parameters¶
| Name | In | Type | Description |
|---|---|---|---|
hash |
query | string | Document identifier |
Responses¶
200 OK
Returns: Binary file data
404 Not Found
Schema: ProblemDetails